
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue

//---- input parameters
extern int tf=0;

//---- buffers
double val1[];
double val2[];
datetime BarTime=0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
//---- indicator line
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,234);
   
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,233);
   
   SetIndexBuffer(0,val1);
   SetIndexBuffer(1,val2);
   
   if(tf<Period()) tf=Period();
//----
   return(0);
  }

//+------------------------------------------------------------------+
int start()
  {   

   if(BarTime == Time[0]) {return(0);}
   //new bar, update bartime
   BarTime = Time[0];

   datetime tmptime=0;
   double tmpup=0,tmpdn=0;
   int i,j,counted_bars=IndicatorCounted();
   int k=tf/Period();
   int cnt=(Bars-counted_bars)/k;
   
   for(i=0;i<cnt;i++)
   {
      tmptime=iTime(Symbol(),tf,i);
      tmpup=iFractals(Symbol(),tf,MODE_UPPER,i);
      tmpdn=iFractals(Symbol(),tf,MODE_LOWER,i);
      if(tmpup!=0)
      {
         j=iBarShift(Symbol(),0,tmptime,true);
         val1[j]=tmpup+100*Point;
      }
      if(tmpdn!=0)
      {
         j=iBarShift(Symbol(),0,tmptime,true);
         val2[j]=tmpdn-100*Point;
      }
   }
   
   return(0);
  }
  
//+------------------------------------------------------------------+